This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 906950 - sis190: WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x1d7/0x1e0()
sis190: WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x1d7/0x1e0()
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Neil Horman
Fedora Extras Quality Assurance
abrt_hash:d30cbcc6f3bfa699232b33a1f27...
: Tracking
Depends On:
Blocks: sch_generic
  Show dependency treegraph
 
Reported: 2013-02-01 19:28 EST by sateless
Modified: 2013-06-13 15:11 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-13 15:11:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description sateless 2013-02-01 19:28:07 EST
Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
cmdline:        BOOT_IMAGE=/vmlinuz-3.7.3-101.fc17.i686 root=/dev/mapper/vg_waschbaer-lv_root ro rd.lvm.lv=vg_waschbaer/lv_root rd.md=0 rd.dm=0 SYSFONT=latarcyrheb-sun16 rd.luks.uuid=luks-4a2ac155-6004-4349-ba00-6ae858aedae4 KEYTABLE=de rd.lvm.lv=vg_waschbaer/lv_swap LANG=de_DE.UTF-8 rhgb quiet
kernel:         3.7.3-101.fc17.i686

backtrace:
:WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x1d7/0x1e0()
:Hardware name: ESPRIMO Mobile V5535
:NETDEV WATCHDOG: eth0 (sis190): transmit queue 0 timed out
:Modules linked in: fuse lockd sunrpc ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack ip6table_filter ip6_tables snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep arc4 snd_seq snd_seq_device coretemp snd_pcm snd_page_alloc snd_timer snd soundcore ath5k ath mac80211 cfg80211 rfkill sis190 mii serio_raw microcode dm_crypt ata_generic pata_acpi sata_sis pata_sis video
:Pid: 4079, comm: firefox Not tainted 3.7.3-101.fc17.i686 #1
:Call Trace:
: [<c043dff2>] warn_slowpath_common+0x72/0xa0
: [<c088b107>] ? dev_watchdog+0x1d7/0x1e0
: [<c088b107>] ? dev_watchdog+0x1d7/0x1e0
: [<c043e0c3>] warn_slowpath_fmt+0x33/0x40
: [<c088b107>] dev_watchdog+0x1d7/0x1e0
: [<c044b5fd>] call_timer_fn+0x2d/0xe0
: [<c044c59d>] ? cascade+0x5d/0x70
: [<c088af30>] ? dev_deactivate_queue.constprop.32+0x60/0x60
: [<c044d076>] run_timer_softirq+0x176/0x210
: [<c088af30>] ? dev_deactivate_queue.constprop.32+0x60/0x60
: [<c04462bf>] __do_softirq+0x9f/0x1b0
: [<c0446220>] ? local_bh_enable_ip+0x90/0x90
: [<c0446220>] ? local_bh_enable_ip+0x90/0x90
: <IRQ>  [<c044653d>] ? irq_exit+0x9d/0xb0
: [<c042546e>] ? smp_apic_timer_interrupt+0x5e/0x90
: [<c0963dc0>] ? apic_timer_interrupt+0x34/0x3c
: [<c0960000>] ? cleanup_entry_list+0x16/0x3d

Potential duplicate bug: 895481
Comment 1 Nicholas Youell 2013-02-04 16:27:48 EST
happened on boot up

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 2 dmbeverst 2013-03-07 15:37:09 EST
I was installing several packages. Right after the packages were installed, I got the warning.

yum command I used:  yum install virt-v2v virt-manager xmount mom kvm libvirt qemu-kvm

That is really all I did. I had chrome, dolphin, konsole, bittorrent, and kwrite open at the time.

Thanks,  Dave


Package: kernel
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 3 dmbeverst 2013-03-07 16:45:07 EST
I have no idea. I was running kubuntu under kvm and virtual machine manager. Also running were digikam, chromium and konsole

Package: kernel
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 4 jamesvawter 2013-03-08 13:16:04 EST
nothing ever causes this, it just happens randomly and for no reason. 

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Neil Horman 2013-04-10 15:28:44 EDT
Please enable dynamic debug for the sis900 module on boot up and wait for the problem to happen again - if/when it does, it should output a message:
Transmit timeout, status %08x %08x\n"
The values in that message should help us determine what went wrong in the hardware.
Comment 6 Neil Horman 2013-06-13 15:11:22 EDT
no response in two months, closing.  Please reopen if you get back to this issue

Note You need to log in before you can comment on or make changes to this bug.